%define anolis_release 1

%global lib_version 2301.0.0

Name:           abseil-cpp
Version:        20230125.3
Release:        %{anolis_release}%{?dist}
Summary:        C++ Common Libraries

License:        Apache-2.0 AND LicenseRef-Fedora-Public-Domain
URL:            https://abseil.io
Source0:        https://github.com/abseil/abseil-cpp/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake ninja-build gcc-c++
BuildRequires:  gmock-devel gtest-devel

Provides:       bundled(cctz)

%description
Abseil is an open-source collection of C++ library code designed to augment
the C++ standard library. The Abseil library code is collected from
Google's own C++ code base, has been extensively tested and used in
production, and is the same code we depend on in our daily coding lives.

In some cases, Abseil provides pieces missing from the C++ standard; in
others, Abseil provides alternatives to the standard for special needs we've
found through usage in the Google code base. We denote those cases clearly
within the library code we provide you.

Abseil is not meant to be a competitor to the standard library; we've just
found that many of these utilities serve a purpose within our code base,
and we now want to provide those resources to the C++ community as a whole.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}
Provides: bundled(cctz)

%description devel
Development headers for %{name}

%package doc
Summary:  Doc files for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch:noarch

%description doc
Doc files for %{name}

%prep
%autosetup -p1 -S gendiff

%build
%cmake \
  -GNinja \
  -DABSL_USE_EXTERNAL_GOOGLETEST:BOOL=ON \
  -DABSL_FIND_GOOGLETEST:BOOL=ON \
  -DABSL_ENABLE_INSTALL:BOOL=ON \
  -DABSL_BUILD_TESTING:BOOL=ON \
  -DCMAKE_BUILD_TYPE:STRING=None \
  -DCMAKE_CXX_STANDARD:STRING=17
%cmake_build


%install
%cmake_install
%generate_compatibility_deps

%check
%ctest

%files
%license LICENSE
%{_libdir}/libabsl_*.so.%{lib_version}
%dir %{abidir}
%{abidir}/*.dump

%files devel
%{_includedir}/absl
%{_libdir}/libabsl_*.so
%{_libdir}/cmake/absl
%{_libdir}/pkgconfig/*.pc

%files doc
%doc FAQ.md README.md UPGRADES.md

%changelog
* Fri May 05 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 20230125.3-1
- init from upstream
